=== debian/control ===
Source: jbig2dec
Section: libs
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.70~),
 autotools-dev,
 devscripts (>= 2.10.7~),
 dh-buildinfo,
 debhelper (>= 6),
 libpng-dev,
 python,
 d-shlibs
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/jbig2dec.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/jbig2dec.git;a=summary
Homepage: http://jbig2dec.sourceforge.net/

Package: libjbig2dec0-dev
Section: libdevel
Depends: libjbig2dec0 (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
Provides: libjbig2dec-dev
Conflicts: libjbig2dec-dev
Architecture: any
Description: JBIG2 decoder library - development files
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the development headers and static library.

Package: libjbig2dec0
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: JBIG2 decoder library - shared libraries
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the shared library libjbig2dec.

Package: jbig2dec
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: JBIG2 decoder library - tools
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the command-line utility jbig2dec.
