=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://ghostscript.com/~giles/jbig2/jbig2dec/jbig2dec-(.*)\.tar\..*
