## jbig2dec 0.11+20120125

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: jbig2dec
 Section: libs
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.70~),
- autotools-dev,
- devscripts (>= 2.10.7~),
+ devscripts,
+ libtool,
+ automake1.11,
+ autoconf,
+ debhelper,
  dh-buildinfo,
- debhelper (>= 6),
+ d-shlibs (>= 0.45~),
  libpng-dev,
- python,
- d-shlibs
-Standards-Version: 3.8.4
+ python
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/jbig2dec.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jbig2dec.git;a=summary
 Homepage: http://jbig2dec.sourceforge.net/
