=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+DEB_AUTO_UPDATE_LIBTOOL = pre
+DEB_AUTO_UPDATE_ACLOCAL = 1.11
+DEB_AUTO_UPDATE_AUTOCONF = 2.68
+DEB_AUTO_UPDATE_AUTOHEADER = 2.68
+DEB_AUTO_UPDATE_AUTOMAKE = 1.11
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
@@ -27,6 +32,12 @@
 
 DEB_UPSTREAM_URL = http://ghostscript.com/~giles/jbig2/$(DEB_UPSTREAM_PACKAGE)/
 DEB_UPSTREAM_TARBALL_MD5 = 1f61e144852c86563fee6e5ddced63f1
+
+# bootstrap autotools files (CDBS normally only updates them)
+DEB_MAKE_CLEAN_TARGET = distclean
+DEB_AUTOMAKE_ARGS = --add-missing --copy
+clean::
+	rm -f Makefile.in aclocal.m4 compile config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -50,9 +61,11 @@
 	rm -f debian/stamp-upstreamtmpstuff
 
 # Let d-shlibs resolve dependencies for and install library files
+CDBS_BUILD_DEPENDS += , d-shlibs (>= 0.45~)
 binary-post-install/$(pkgname):: debian/stamp-local-shlibs-$(libname)
 debian/stamp-local-shlibs-$(libname): binary-install/$(pkgname)
 	d-shlibmove --commit \
+		--exclude-la \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		debian/tmp/usr/lib/$(libname).so
 	touch $@
@@ -64,6 +77,3 @@
 
 # Needed by upstream tests
 CDBS_BUILD_DEPENDS += , python
-
-# Needed for our packaging
-CDBS_BUILD_DEPENDS += , d-shlibs
