=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: jbig2dec
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.70~),
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>
+Build-Depends: cdbs (>= 0.4.123~),
  devscripts,
  libtool,
- automake1.11,
+ automake,
  autoconf,
  debhelper,
  dh-buildinfo,
- d-shlibs (>= 0.45~),
  libpng-dev,
- python
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/collab-maint/jbig2dec.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/jbig2dec.git;a=summary
-Homepage: http://jbig2dec.sourceforge.net/
+ python,
+ d-shlibs
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/printing/jbig2dec.git
+Vcs-Browser: https://anonscm.debian.org/cgit/printing/jbig2dec.git
+Homepage: http://git.ghostscript.com/?p=jbig2dec.git
 
 Package: libjbig2dec0-dev
 Section: libdevel
@@ -34,6 +34,7 @@
 Package: libjbig2dec0
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Description: JBIG2 decoder library - shared libraries
  jbig2dec is a decoder library and example utility implementing the JBIG2
