=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://git.ghostscript.com/?p=jbig2dec.git .*;h=refs/tags/([\d.]+)
