=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.123~),
- devscripts,
+Build-Depends: cdbs,
  libtool,
  automake,
  autoconf,
@@ -13,9 +12,9 @@
  libpng-dev,
  python,
  d-shlibs
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/printing/jbig2dec.git
-Vcs-Browser: https://anonscm.debian.org/cgit/printing/jbig2dec.git
+Standards-Version: 4.1.0
+Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
+Vcs-Browser: https://salsa.debian.org/git/printing-team/jbig2dec
 Homepage: http://git.ghostscript.com/?p=jbig2dec.git
 
 Package: libjbig2dec0-dev
@@ -36,6 +35,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
+Multi-arch: same
 Description: JBIG2 decoder library - shared libraries
  jbig2dec is a decoder library and example utility implementing the JBIG2
  bi-level image compression spec. Also known as ITU T.88 and ISO IEC
