=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2013, 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2013, 2015-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for jbig2dec
 #
 # This program is free software; you can redistribute it and/or modify
@@ -21,7 +21,6 @@
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOHEADER = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -30,10 +29,6 @@
 major = 0
 pkg-lib = lib$(stem)$(major)
 pkg-dev = lib$(stem)$(major)-dev
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Needed by upstream build routines
 CDBS_BUILD_DEPENDS +=, libpng-dev
@@ -57,9 +52,6 @@
 DEB_SHLIBDEPS_LIBRARY_$(pkg-lib) = $(lib)
 DEB_DH_MAKESHLIBS_ARGS = -Pdebian/$(cdbs_curpkg)
 
-# put aside upstream-shipped temp files during build but after copyright-check
-DEB_UPSTREAM_CRUFT_MOVE = config_types.h
-
 # Let d-shlibs resolve dependencies for and install library files
 CDBS_BUILD_DEPENDS +=, d-shlibs
 binary-post-install/$(pkg-lib) binary-post-install/$(pkg-dev):: \
