## jbig2dec 0.15

=== debian/changelog ===
jbig2dec (0.15-1) unstable; urgency=medium

  [ upstream ]
  * New bugfix release.
    (no code changes since 0.14+20180826-1)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Sep 2018 14:10:04 +0200

jbig2dec (0.14+20180826-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Rules-Requires-Root: no.
  * Relax symbols check when targeting experimental
  * Update symbols:
    + Flag as optional symbols not declared in public header file.
    + Drop 10 private symbols.
    + Drop 1 symbol (unused in Debian).
    + Add 1 symbol.
    Update copyright info:
    + Extend coverage for main author to include current year.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Aug 2018 00:12:20 +0200

jbig2dec (0.14-1) unstable; urgency=medium

  [ upstream ]
  * New bugfix release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend copyright of packaging to cover past year.
    + Strip nedless copyright signs.
  * Drop patches cherry-picked upstream since applied.
  * Declare compliance with Debian Policy 4.1.4.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 May 2018 14:41:41 +0200
