=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
  libpng-dev,
  python,
  d-shlibs
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/git/printing-team/jbig2dec
 Homepage: http://git.ghostscript.com/?p=jbig2dec.git
+Rules-Requires-Root: no
 
 Package: libjbig2dec0-dev
 Section: libdevel
