## jbig2dec 0.16

=== debian/changelog ===
jbig2dec (0.16-1+deb10u1) buster; urgency=high

  * Team upload (printing and LTS)
  * CVE-2020-12268
    avoid overflow with extreme values of x,y,w,h in function
    jbig2_image_compose()

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 24 Oct 2021 19:03:02 +0200

jbig2dec (0.16-1) unstable; urgency=high

  [ upstream ]
  * New bugfix release.
    (no code changes since 0.15+20190209-1)

  [ Jonas Smedegaard ]
  * Set urgency=high, due to ghostscript 9.27 CVE fixes.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Apr 2019 17:52:08 +0200

jbig2dec (0.15+20190209-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.
    + Update source/header file copyright notice to 2019
    + Indicate error upon error, do not just warn.
    + Use common pattern for error detection.
    + Clarify the element size of GR_stats when memsetting.
    + Make sure to indicate error upon unexpected OOB.
    + Without enough prefix codes, a Huffman table cannot be generated.
    + Return allocator once it is retired.

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream since applied.
  * Update copyright info: Extend coverage for main upstream author.
  * Update symbols file: Bump version for symbol jbig2_ctx_free.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Apr 2019 12:41:06 +0200

jbig2dec (0.15-2) unstable; urgency=medium

  * Add patches cherry-picked upstream:
    + Fix signed/unsigned mismatches.
    + Only print repeated error/warning messages once.
    + Bring jbig2dec's copy of memento up to date.
  * Simplify rules: Stop resolve build-dependencies in rules file.
  * Stop build-depend on dh-buildinfo.
  * Wrap and sort control file.
  * Update copyright info: Extend coverage for main upstream author.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Nov 2018 01:50:52 +0100
