## jbig2dec 0.16.1

=== debian/changelog ===
jbig2dec (0.16.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: dc57b7c93f8e030b14acc8850e6a9aebd98519f9']

 -- shuttle <shuttle@deepin.com>  Tue, 04 Aug 2020 16:18:37 +0000
