## jbig2dec 0.17

=== debian/changelog ===
jbig2dec (0.17-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Switch to track upstream release tags.
  * Declare compliance with Debian Policy 4.4.1.
  * Update copyright info:
    + List uptream bugtracker as preferred upstream contact.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 11:31:55 +0200

jbig2dec (0.16+20190905-3) unstable; urgency=medium

  * Fix Vcs-Browser URL.
  * Add patch 2002 to restore ABI compatibility.
    Closes: Bug#940605. Thanks to Julien Cristau.
  * Update symbols file: 1 symbol added (i.e. restored).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Sep 2019 12:41:12 +0200

jbig2dec (0.16+20190905-2) unstable; urgency=medium

  * Fix have libjbig2dec0-dev depend on pkg-config
    (not bogus pkgconfig).
  * Fix avoid FTCBFS by build-depending on python:native (not python),
    and only when check is enabled.
    Closes: Bug#893682. Thanks to Helmut Grohne.
  * Mark libjbig2dec0-dev as Multi-Arch: same.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2019 03:40:08 +0200

jbig2dec (0.16+20190905-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.
    + Fix bug where realloc returns NULL.
    + Silence automake warning about ar use.
    + Silence automake warning about setting CFLAGS directly.
    + Add empty m4 directory to silence libtool warning.
    + Expose version number in header.
    + Check that header version matches library version.
    + Add pkg-config file and allow for it to be installed.
    + Improve jbig2dec-specific gitignore.
    + Update information in README.
    + Make tests expect that some test files return white image.
    + Indent test code by spaces like the rest of the code.
    + Expect test files to reside inside jbig2dec directory.
    + Verify file hashes of test files during testing.
    + Fix leak of log message in command line tool.
    + Declare internal data array static.
    + Fix leak of huffman decoder state in test code.
    + Avoid duplicate declarations of Huffman tables in test code.
    + Fix incorrectly computed halftone skip mask.
    + Add all ubc test files.
    + A small collection of code cleanups.
    + Avoid double checks for negative coordinates.
    + Validate range of Huffman Table range values.
    + Avoid extending page image beyond INT_MAX pixels high.
    + Validate coordinates when add image onto page.

  [ Jonas Smedegaard ]
  * Update watch file: Switch to track git snapshots.
  * Update homepage.
  * Update maintainer script copyright-check
    to extract or skip binary image files.
  * Declare compliance with Debian Policy 4.4.0.
  * Unfuzz patches.
  * Simplify rules: Use autoreconf.
    Build-depend on dh-autoreconf (not explicitly autoconf automake).
  * Have libjbig2dec0-dev include pkgconfig file,
    and depend on pkgconfig.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Sep 2019 20:01:08 +0200
