=== debian/control ===
Source: jbig2dec
Section: libs
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cdbs,
 d-shlibs,
 debhelper,
 dh-autoreconf,
 libpng-dev,
 libtool,
 python:native <!nocheck>,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec
Homepage: https://jbig2dec.com/
Rules-Requires-Root: no

Package: libjbig2dec0-dev
Section: libdevel
Depends:
 libjbig2dec0 (= ${binary:Version}),
 pkg-config,
 ${devlibs:Depends},
 ${misc:Depends},
Provides:
 libjbig2dec-dev,
Conflicts:
 libjbig2dec-dev,
Architecture: any
Multi-Arch: same
Description: JBIG2 decoder library - development files
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the development headers and static library.

Package: libjbig2dec0
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Architecture: any
Multi-arch: same
Description: JBIG2 decoder library - shared libraries
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the shared library libjbig2dec.

Package: jbig2dec
Section: graphics
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Architecture: any
Description: JBIG2 decoder library - tools
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the command-line utility jbig2dec.
