## jbig2dec 0.18

=== debian/changelog ===
jbig2dec (0.18-1ubuntu1) focal; urgency=medium

  * Build using python3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Mar 2020 12:53:08 +0200

jbig2dec (0.18-1) unstable; urgency=medium

  [ upstream ]
  * new release
    closes: bug#952674, thanks to Mathieu Malaterre

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Mar 2020 10:48:03 +0100
