=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  dh-autoreconf,
  libpng-dev,
  libtool,
- python:native <!nocheck>,
-Standards-Version: 4.4.1
+ python3:native <!nocheck>,
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec
 Homepage: https://jbig2dec.com/
