=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_AUTO_UPDATE_LIBTOOL = pre
-DEB_AUTO_UPDATE_ACLOCAL = ,
-DEB_AUTO_UPDATE_AUTOCONF = ,
-DEB_AUTO_UPDATE_AUTOHEADER = ,
-DEB_AUTO_UPDATE_AUTOMAKE = ,
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -14,14 +10,10 @@
 pkg-lib = lib$(stem)$(major)
 pkg-dev = lib$(stem)$(major)-dev
 
+DEB_DH_AUTORECONF_ARGS += ./autogen.sh
+
 # Multiarch quirk (see also other uses of that variable in this file)
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-
-# bootstrap autotools files (CDBS normally only updates them)
-DEB_MAKE_CLEAN_TARGET = distclean
-DEB_AUTOMAKE_ARGS = --add-missing --copy
-clean::
-	rm -f Makefile.in aclocal.m4 compile config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing test-driver
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -40,6 +32,8 @@
 		--exclude-la \
 		--multiarch \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
+		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
+			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
 	touch $@
 clean::
