## jbig2dec 0.18+20200417

=== debian/changelog ===
jbig2dec (0.18+20200417-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + Separate command line tool error callback state from parameters.
    + Mention all long options in usage and manpage.
    + Add command line option to limit memory usage.
    + Add more references to specification.
    + Keep type of index and array length the same.
    + Use unsigned suffix when defining UINT32_MAX.
    + Handle under-/overflow detection and messaging better.
    + Let arithmetic decoder and the underlying stream report errors.
    + Add overflow detection for IAID context size.
    + Treat end of stream as fatal error, and remember errors.
    + Avoid artificially limiting jbig2dec.
    + Avoid passing NULL buffer to snprintf().
    + Remove trailing whitespace.
    + Address all signedness comparison issues.
    + Enable warnings for signedness in comparisons.
    + Avoid warning by copying bytes instead of characters.
    + Fix under/overflow handling in arithmetic integer decoder.
    + Pass segment numbers as unsigned values to error callback.
    + Avoid formatting error messages twice in error callback.
    + Use size_t for string length.
    + Handle errors from reading jbig2 streams.
    + Always use uint32_t when counting pages.
    + Use uint32_t when counting segments.
    + Fix signedness conversions.
    + Fix two overlooked warnings.
    + Use correct define for maximum value of type.
    + Record stream errors in separate struct field.
    + Cast literal to avoid shifting outside of valid range.
    + Need to store local copy of error message.
    + Plug leak of image upon error.
    + Adjust number of bytes consumed by MMR decoder.
    + Initiate variable before avoids using uninited data
      during cleanup.
    + Refill input buffer upon failure to parse segment header.

  [ Jonas Smedegaard ]
  * copyright: update coverage
  * use debhelper compatibility level 10 (not 9);
    stop build-depend explicitly on dh-autoreconf libtool
  * avoid running python test apparently relying on missing data files;
    drop patch 1001; stop build-depend on python;
    closes: bug#943139, thanks to Sandro Tosi

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Apr 2020 10:01:35 +0200
