=== debian/control ===
--- 
+++ 
@@ -8,10 +8,7 @@
  cdbs,
  d-shlibs,
  debhelper,
- dh-autoreconf,
  libpng-dev,
- libtool,
- python3:native <!nocheck>,
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec
