## jbig2dec 0.19

=== debian/changelog ===
jbig2dec (0.19-3build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:02:43 +0100

jbig2dec (0.19-3build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:23 +0200

jbig2dec (0.19-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to use correct freeing function for JBIG2 images
  * add autopkgtest;
    closes: bug#959468, thanks to Dylan Aïssi

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Apr 2021 13:11:05 +0200

jbig2dec (0.19-2) unstable; urgency=medium

  * cherry-pick patches from upstream:
    + silence a compiler warning
    + fix honor memory alignment (needed on SPARC)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Feb 2021 14:55:02 +0100

jbig2dec (0.19-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * simplify source script copyright-chceck

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2020 19:45:19 +0200
