=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jbig2dec
 Section: libs
 Priority: optional
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
@@ -9,7 +10,7 @@
  d-shlibs,
  debhelper,
  libpng-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec
 Homepage: https://jbig2dec.com/
