=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
pagemangle=s%a=commit(.)h=[0-9a-f]+\".*h=refs/tags/%a=snapshot${1}sf=tgz${1}h=refs/tags/%g,\
filenamemangle=s%(?:.*[^\d.])?@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
http://git.ghostscript.com/?p=jbig2dec.git;a=summary \
.*a=snapshot.sf=tgz.h=refs/tags/@ANY_VERSION@
