## jbig2dec 0.20

=== debian/changelog ===
jbig2dec (0.20-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:40:24 +0000

jbig2dec (0.20-1build2) noble; urgency=medium

  * Rebuild against new libpng16-16t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Mar 2024 14:17:38 +0100

jbig2dec (0.20-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:58:13 +0000

jbig2dec (0.20-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * drop patches cherry-picked upstream, now obsolete
  * add patch cherry-picked upstream
    to avoid uninitialized allocator in command-line tool
  * update copyright info: update coverage
  * simplify build; stop build-depend on cdbs
  * declare compliance with Debian Policy 4.6.2
  * build-depend on debhelper-compat (not debhelper)
  * add patch 1001 to modernize test script;
    build-depend on python3

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Nov 2023 14:40:40 +0100
