=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- cdbs,
  d-shlibs,
- debhelper,
+ debhelper-compat (= 13),
  libpng-dev,
-Standards-Version: 4.5.1
+ python3 <!nocheck>,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec
 Homepage: https://jbig2dec.com/
