=== debian/tests/control ===
Tests: run-unit-test
Depends:
 jbig2dec,
